[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: How to upgrade to a tested lib?

On Thu, 15 Feb 2001, Robin Rowe wrote:

> I have some apps I want to build that require newer libs than what I have
> installed from stable. How do I tell dselect/apt/dpkg to let me pick the
> newer SDL lib (for instance) out of tested, bring with it any dependent libs
> (which may also be in tested), but not make a change to newer packages
> across the board?

Add the following to your /etc/apt/sources.list:

deb-src ftp://ftp.xxx.debian.org/debian testing main contrib non-free

(replace the "xxx" with the country code for your latest mirror, e.g. I
use "de")

then do an
  apt-get install libsdl1.1-dev

> Related question, if I did want to upgrade across the board to woody, how
> would I do that?

  apt-get -u dist-upgrade

> Thanks!
> Robin



Nicht weil die Dinge schwierig sind wagen wir sie nicht,
sondern weil wir sie nicht wagen sind sie schwierig.

Reply to: